Package com.independentsoft.office.word.fonts

# Class EmbeddedFontBold

java.lang.Object
com.independentsoft.office.word.fonts.EmbeddedFont
com.independentsoft.office.word.fonts.EmbeddedFontBold

public class EmbeddedFontBold extends EmbeddedFont
The Class EmbeddedFontBold.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.word.fonts.EmbeddedFont

  `buffer, fileName, key, relationshipID, subsetted`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmbeddedFontBold()`
  Instantiates a new embedded font bold.
  `EmbeddedFontBold​(String filePath)`
  Instantiates a new embedded font bold.
  `EmbeddedFontBold​(String fileName, byte[] buffer)`
  Instantiates a new embedded font bold.
  `EmbeddedFontBold​(String fileName, InputStream inputStream)`
  Instantiates a new embedded font bold.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EmbeddedFontBold`
  `clone()`
  `InputStream`
  `getInputStream()`
  Gets the input stream.
  `void`
  `load​(String filePath)`
  Load.
  `void`
  `load​(String fileName, byte[] buffer)`
  Load.
  `void`
  `load​(String fileName, InputStream inputStream)`
  Load.
  `void`
  `save​(OutputStream outputStream)`
  Save.
  `void`
  `save​(String filePath)`
  Save.
  `void`
  `save​(String filePath, boolean overwrite)`
  Save.
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.word.fonts.EmbeddedFont

  `getBuffer, getFileName, getKey, getRelationshipID, getSubsetted, setBuffer, setKey, setRelationshipID, setSubsetted`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EmbeddedFontBold

    public EmbeddedFontBold()
    Instantiates a new embedded font bold.

  - ### EmbeddedFontBold

    public EmbeddedFontBold​(String filePath) throws IOException
    Instantiates a new embedded font bold.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### EmbeddedFontBold

    public EmbeddedFontBold​(String fileName, InputStream inputStream) throws IOException
    Instantiates a new embedded font bold.
    Parameters:
      `fileName` - the file name
      `inputStream` - the input stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### EmbeddedFontBold

    public EmbeddedFontBold​(String fileName, byte[] buffer)
    Instantiates a new embedded font bold.
    Parameters:
      `fileName` - the file name
      `buffer` - the buffer

- ## Method Details

  - ### load

    public void load​(String filePath) throws IOException
    Load.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### load

    public void load​(String fileName, InputStream inputStream) throws IOException
    Load.
    Parameters:
      `fileName` - the file name
      `inputStream` - the input stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### load

    public void load​(String fileName, byte[] buffer)
    Load.
    Parameters:
      `fileName` - the file name
      `buffer` - the buffer

  - ### save

    public void save​(String filePath) throws IOException
    Save.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### save

    public void save​(String filePath, boolean overwrite) throws IOException
    Save.
    Parameters:
      `filePath` - the file path
      `overwrite` - the overwrite
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### save

    public void save​(OutputStream outputStream) throws IOException
    Save.
    Parameters:
      `outputStream` - the output stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### getInputStream

    public InputStream getInputStream()
    Gets the input stream.
    Returns:
      the input stream

  - ### clone

    public EmbeddedFontBold clone()
    Specified by:
      `clone` in class `EmbeddedFont`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`